Bug 247368 - Create a page showing a table with module/release relationship
Summary: Create a page showing a table with module/release relationship
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Localization
Classification: Fedora
Component: Website   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Dimitris Glezos
QA Contact: Diego Búrigo Zacarão
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-08 01:17 UTC by Dimitris Glezos
Modified: 2008-11-08 19:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-08 19:16:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dimitris Glezos 2007-07-08 01:17:46 UTC
## Description of problem:

Two main config files define the statistics: modules and releases. For each
module added/altered, its respective entry in releases should change. This
forth-and-back process causes mistakes (a module not showing up in a release etc).

To fix it we can create a new page with a big table showing on the releases as
columns and modules as rows, and identify which module is active in which
release with which branch.

Comment 1 Dimitris Glezos 2007-07-25 19:59:07 UTC
(willing to help out anyone who would like to tackle this)

Comment 2 Dimitris Glezos 2007-08-23 15:22:13 UTC
Basically it's this page:

  http://translate.fedoraproject.org/releases/various

containing modules instead of languages:

  http://translate.fedoraproject.org/module/

With a 'tick' in the cell if that module is 'active' in the particular release.
Data are drawn (classes to extract them are already there) from:

http://cvs.fedoraproject.org/viewcvs/web/flpweb/releases.xml.in?root=l10n&view=markup


Note You need to log in before you can comment on or make changes to this bug.